Bug 219331 - LSPP - pciconfig_read.2 manpage is inaccurate
Summary: LSPP - pciconfig_read.2 manpage is inaccurate
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: man-pages   
(Show other bugs)
Version: 5.0
Hardware: ppc64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Keywords: Documentation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-12 17:00 UTC by Eduardo M. Fleury
Modified: 2013-04-12 18:55 UTC (History)
0 users

Fixed In Version: man-pages-2.39-10.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 09:08:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 30252 None None None Never

Description Eduardo M. Fleury 2006-12-12 17:00:27 UTC
---Problem Description---
pciconfig_read.2 manpage has two points where it's inaccurate or incomplete.

1) It mixes the terms "pciconfig_iobase" and "pci_iobase". The latter term
should be substituted by the first one.
This occours at lines 67, 73, 79 and 85.

2) The manpage instructs that the "pci.h" header should be included in order to
allow the use of the function signatures described (ie. int
pciconfig_iobase(...)) and the values defined (ie. IOBASE_BRIDGE_NUMBER, etc).
However, such header was not available in the system tested, even after the
instalation of the pciconfig-dev package.

Is that information outdated or are there any other steps I need to perform in
order to have this header? In either case the manpage should reflect that.

Contact Information = Eduardo Fleury <fleury@br.ibm.com>
 
---uname output---
Linux zaphod.ltc.br.ibm.com 2.6.18-1.2740.el5 #1 SMP Wed Nov 1 20:42:07 EST 2006
ppc64 ppc64 ppc64 GNU/Linux
 
---Patches Installed---
Installed with KS script v0.10
 
Machine Type = n/a
 
---Debugger---
A debugger is not configured
 
---Steps to Reproduce---
Try to compile a C program with "#include <pci.h>".

Will not compile, it was expected it did.
 
---Documentation Component Data---
Documentation version: man-pages-2.39-7 and man-pages-2.43-2.fc7.noarch

Comment 1 Michael Hideo 2007-10-23 02:43:44 UTC
Removing automation notification

Comment 2 Don Domingo 2008-01-21 02:08:07 UTC
ECS cannot process man page bugs. these have to be filed against their
respective tools (i.e. component). 

reassigning to pciutils, which i suspect owns this. hope this works.

Comment 3 Bill Nottingham 2008-01-22 17:04:49 UTC
This isn't part of pciutils.


Note You need to log in before you can comment on or make changes to this bug.